;
;			STANDARD EXPLORER LIBRARY
;		  written for Usgard 1997 by Andreas Ess
;
;Use this library to have a file picker in your applications!
;
;REQUIREMENTS:
;GRAPH_MEM destroyed!
;First 10 bytes of TEXT_MEM destroyed!
;WIN_SCRLY destroyed!
;
EXPLLIB = 2

;NAME:		EXPLORE
;INPUT:         H = lower, L = upper limit of first string byte
;		D = lower, E = upper limit of second byte
;		BC = pointer to title string
;		e.g.: all strings: HL = $00FF, DE = $00FF
;		      programs: HL = $0000, DE = $FAFD
;OUTPUT:	HL = OP2 = file name, Carry set if enter pressed
EXPLORE = 0

;NAME:		EXPLORE_CONTINUE
;INPUT:		IX = pointer to previous TEXT_MEM structure + WIN_SCRLY
;               BC = pointer to title string
;		H = lower, L = upper limit of first string byte
;		D = lower, E = upper limit of second byte
;OUTPUT:	same as EXPLORE
;FUNCTION:	restores cursor position and runs explore
EXPLORE_CONTINUE = 1

