;
;			8 GRAYSCALE LIBRARY
;		       	   by Andreas Ess
;
;			     FOR USGARD
;	      by Andreas Ess, Austin Butler, Sam Davies and Mel Tsai
;
;Special thanks go to Robert Taylor!!!
;
;With this lib, you can easily program 8 grayscale under Usgard. All routines
;are explained below.
;
;REQUIREMENTS:
;2K in RAM for extra layers
;7 bytes in TEXT_MEM2(from TEXT_MEM2+160 - TEXT_MEM2+166)
;
GRAY8LIB = 5	;LIBRARY ID

;NAME:		GR8_INSTALL
;FUNCTION: 	initializes 8 grayshade graffa
;OUTPUT:	Carry = 1 if not enough mem, AF, BC, DE, HL destroyed
GR8_INSTALL = 0

;NAME:		GR8_REMOVE
;FUNCTION:	removes the grayscales again
;OUTPUT:	AF, BC, DE, HL destroyed
GR8_REMOVE = 1

;NAME:		GR8_CLEAR
;FUNCTION:	clears the pages
;OUTPUT:	BC, DE, HL destroyed
GR8_CLEAR = 2

;NAME:		GR8_ACTIVE
;FUNCTION:	is grayscale active?
;OUTPUT:	A = active? (0=no/1=yes)
GR8_ACTIVE = 3

;
;The vars stored in TEXT_MEM2
;
Count8 = TEXT_MEM2+160
Page1Addr8 = TEXT_MEM2+161
Page2Addr8 = TEXT_MEM2+163
Page3Addr8 = TEXT_MEM2+165

